*$ CREATE USRRNC.FOR
*COPY USRRNC
*
*=== Usrrnc ===========================================================*
*
      SUBROUTINE USRRNC ( IZ, IA, IS, X, Y, Z, MREG, WEE, ICALL )
      INCLUDE '(DBLPRC)'
      INCLUDE '(DIMPAR)'
      INCLUDE '(IOUNIT)'
      INCLUDE '(TRACKR)'
      INCLUDE '(GENSTK)'
      INCLUDE '(CASLIM)'
      INCLUDE '(FHEAVY)'
*
*----------------------------------------------------------------------*
*                                                                      *
*     Copyright (C) 2005-2005      by    Alfredo Ferrari & Paola Sala  *
*     All Rights Reserved.                                             *
*                                                                      *
*                                                                      *
*     USeR Residual NuClei:                                            *
*                                                                      *
*     Created on   06 april 2005   by    Alfredo Ferrari & Paola Sala  *
*                                                   Infn - Milan       *
*                                                                      *
*     Last change on 06-apr-05     by    Alfredo Ferrari               *
*                                                                      *
*                                                                      *
*----------------------------------------------------------------------*
**
      CHARACTER*8 REGNAM
      DIMENSION KA (4), KZ (4), BRDAUG (4), T12DAU (4)
      DOUBLE PRECISION HafTime
      EXTERNAL TIM1O2
*Interested regions of scoring
*'Target'-TARGET, 'OutAir'-OUTAIR
      SAVE TARGET, OUTAIR      
*      
      CALL GEON2R ("Target", TARGET,IERR)
      CALL GEON2R ("OutAir", OUTAIR,IERR)
*      
*isotope
        ISOMER = 0
        HafTime = TIM1O2 ( IA, IZ, KA, KZ, T12DAU, BRDAUG, ISOMER )
        CALL GEOR2N (MREG, REGNAM, IERR)
        IF(HafTime>1E38)THEN
            WRITE(*,*) 'USRRNC():isotope is stable'
        ELSE
            WRITE(*,*) 'Isotope ','Z=',IZ,', A=',IA,', S=',IS,', x=',X,
     &    ', y=',Y,', z=',Z,', Reg=',MREG,'wee=',WEE,', icall=',ICALL  
        ENDIF
      RETURN
*=== End of subroutine Usrrnc =========================================*
      END
